Subject: bug#54443: closed (Re: bug#54443: 29.0.50; decipher.el: (wrong-type-argument bufferp nil) when calling decipher-digram-list (and others))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 18 Mar 2022 11:58:01 +0000

Your bug report

#54443: 29.0.50; decipher.el: (wrong-type-argument bufferp nil) when calling decipher-digram-list (and others)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
54443: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=54443
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#54443: 29.0.50; decipher.el: (wrong-type-argument bufferp nil) when calling decipher-digram-list (and others)
From: Eli Zaretskii <[email-masked]>
To: Simon Pugnet <[email-masked]>
Cc: [email-masked]
Date: Fri, 18 Mar 2022 13:57:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 18 Mar 2022 09:07:00 +0000
> From: Simon Pugnet <[email-masked]>
> Cc: [email-masked]
> 
> >> 1. emacs -Q
> >> 2. M-x decipher
> >> 3. Press D to call decipher-digram-list
> >
> > Thanks.  Does the patch below give good results?
> > ...
> 
> Hi Eli,
> 
> Yes, thank you, those changes appear to fix the issue.

Thanks, I installed the fix on the emacs-28 branch, and I'm therefore
closing this bug.

Subject: 29.0.50; decipher.el: (wrong-type-argument bufferp nil) when calling decipher-digram-list (and others)
From: Simon Pugnet <[email-masked]>
To: [email-masked]
Date: Fri, 18 Mar 2022 07:37:44 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I recently found out about the decipher package, but when trying it I
get the following error: -

Debugger entered--Lisp error: (wrong-type-argument bufferp nil)
  decipher-stats-buffer(t)
  decipher-analyze-buffer()
  decipher-analyze()
  decipher-digram-list()
  funcall-interactively(decipher-digram-list)
  command-execute(decipher-digram-list)

To reproduce: -

1. emacs -Q
2. M-x decipher
3. Press D to call decipher-digram-list

I have tried the same steps in Emacs 27.2 and it appears to work
correctly.

Best regards,
Simon

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
3.24.33, cairo version 1.17.4)
 of 2022-03-18 built on palenque
Repository revision: ff89d27c07de4ac2efc695b06e8aa1faec5d65d1
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version
11.0.12101003
System Description: Arch Linux

Configured using:
 'configure --with-native-compilation --with-json --with-modules
 --with-xinput2'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP
NOTIFY
INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS WEBP X11 XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LC_CTYPE: en_GB.UTF-8
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: Decipher

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug comp comp-cstr warnings rx cl-seq
cl-macs cl-extra help-mode message mailcap yank-media rmc puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068
epg-config gnus-util text-property-search time-date seq gv subr-x
byte-opt bytecomp byte-compile cconv mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs cl-lib
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
decipher iso-transl tooltip eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type elisp-mode mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode lisp-mode prog-mode
register
page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
frame minibuffer nadvice simple cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese
eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray cl-preloaded button
loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 82140 7431)
 (symbols 48 7249 1)
 (strings 32 20327 1869)
 (string-bytes 1 682319)
 (vectors 16 15695)
 (vector-slots 8 316972 17713)
 (floats 8 28 45)
 (intervals 56 223 0)
 (buffers 992 11))